3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php class MyInterface {} class MyClass extends MyInterface {} // This will fail on 5.3.8 and earlier, this has been fixed // in #53727, but doc does not reflect that. echo (is_subclass_of('MyClass', 'MyInterface') ? 'true' : 'false');
Output for 5.0.3 - 7.1.0
true
Output for 4.3.0 - 5.0.2
false